# OgrePass.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreColourValue.h"`
`#include "OgreBlendMode.h"`
`#include "OgreCommon.h"`
`#include "OgreLight.h"`
`#include "OgreTextureUnitState.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef std::vector< IlluminationPass * > | IlluminationPassList

## Enumerations

enum | IlluminationStage { IS_AMBIENT, IS_PER_LIGHT, IS_DECAL }

## Typedef Documentation

typedef std::vector<IlluminationPass*> Ogre::IlluminationPassList

| Definition at line 1316 of file OgrePass.h.

## Enumeration Type Documentation

enum Ogre::IlluminationStage

Enumeration values:

  IS_AMBIENT | Part of the rendering which occurs without any kind of direct lighting.
  IS_PER_LIGHT | Part of the rendering which occurs per light.
  IS_DECAL | Post-lighting rendering.

Definition at line 1287 of file OgrePass.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Aug 20 13:50:49 2007